package com.diagbot.facade;


import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.diagbot.dto.GetDeptDistributionDTO;
import com.diagbot.entity.SysUserDept;
import com.diagbot.enums.IsDeleteEnum;
import com.diagbot.exception.CommonErrorCode;
import com.diagbot.exception.CommonException;
import com.diagbot.service.impl.CheckRecordExamineServiceImpl;
import com.diagbot.util.ListUtil;
import com.diagbot.util.SysUserUtils;
import com.diagbot.vo.GetDeptDistributionVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.List;
import java.util.stream.Collectors;


/**
 * @Description:
 * @author： zhanghang
 * @time: 2022/5/18 16:48
 */
@Component
public class CheckRecordExamineFacade extends CheckRecordExamineServiceImpl {
    @Autowired
    SysUserDeptFacade sysUserDeptFacade;

    public IPage<GetDeptDistributionDTO> getDistributionPage(GetDeptDistributionVO getDeptDistributionVO) {
        searchHandler(getDeptDistributionVO);
        getDeptDistributionVO.setHospitalId(Long.parseLong(SysUserUtils.getCurrentHospitalID()));
        return this.baseMapper.getDistributionPage(getDeptDistributionVO);
    }

    /**
     * 查询处理
     *
     * @param getDeptDistributionVO
     * @Return void
     */
    private void searchHandler(GetDeptDistributionVO getDeptDistributionVO) {
        switch (getDeptDistributionVO.getType()){
            case "0":
                //获取当前用户的科室
                List<String> deptIds = sysUserDeptFacade.list(new QueryWrapper<SysUserDept>()
                        .eq("is_deleted", IsDeleteEnum.N.getKey())
                        .eq("hospital_id", SysUserUtils.getCurrentHospitalID())
                        .eq("user_id", SysUserUtils.getCurrentPrincipleID())
                ).stream().map(SysUserDept::getDeptId).collect(Collectors.toList());
                if(ListUtil.isEmpty(deptIds)){
                    throw new CommonException(CommonErrorCode.PARAM_IS_NULL, "该用户科室信息为空！");
                }
                getDeptDistributionVO.setDeptIds(deptIds);
                break;
            case "1":
                break;
            case "2":
                break;
            default:
                break;
        }
    }

}
