package com.diagbot.vo;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * @Description: 任务分配-科室列表页分页接口-接口入参
 * @Author songxl
 * @Date 2022/5/23 9:20
 */
@ApiModel(value = "任务分配-科室列表页分页接口-接口入参")
@Getter
@Setter
public class GetDeptDistributionVO extends Page implements Serializable {
    private static final long serialVersionUID = -4950067898393122612L;

    @ApiModelProperty(value = "是否归档（0：未归档，1：已归档）", required = true)
    @NotBlank(message = "是否归档为空")
    private String isPlacefile = "1";

    @ApiModelProperty(value = "医院ID",hidden = true)
    private Long hospitalId;

    @ApiModelProperty(value = "入院时间开始时间")
    private Date behosDateStart;

    @ApiModelProperty(value = "入院时间结束时间")
    private Date behosDateEnd;

    @ApiModelProperty(value = "出院时间开始时间")
    private Date leaveHosDateStart;

    @ApiModelProperty(value = "出院时间结束时间")
    private Date leaveHosDateEnd;

    @ApiModelProperty(value = "病人住院ID")
    private String behospitalCode;

    @ApiModelProperty(value = "病人姓名")
    private String name;

    @ApiModelProperty(value = "住院科室名称")
    private String deptName;

    @ApiModelProperty(value = "住院天数-开始时间")
    private String behospitalDayNumStart;

    @ApiModelProperty(value = "住院天数-截止时间")
    private String behospitalDayNumEnd;

    @ApiModelProperty(value = "医生姓名")
    private String doctorName;

    @ApiModelProperty(value = "医生工号")
    private String doctorCode;

    @ApiModelProperty(value = "主诊断")
    private String diagnose;

    @ApiModelProperty(value = "病历等级")
    private String level;

    @ApiModelProperty(value = "病历类型")
    private String behospitalType;

    @ApiModelProperty(hidden = true)
    private Long userId;

    private String deptId;

    @ApiModelProperty(value = "科室核查状态")
    private String deptCheckStatus;

    @ApiModelProperty(value = "院级核查状态")
    private String hospCheckStatus;

    @ApiModelProperty(value = "质控科核查状态")
    private String quatCheckStatus;

    @ApiModelProperty(value = "类型:科室分配-0,质控科分配-1,院级分配-2",hidden = true)
    private String type;

    @ApiModelProperty(value = "分配患者科室集合",hidden = true)
    private List<String> deptIds;
}
