package com.diagbot.web;


import com.baomidou.mybatisplus.core.metadata.IPage;
import com.diagbot.annotation.SysLogger;
import com.diagbot.dto.GetCheckRecordPageDTO;
import com.diagbot.dto.RespDTO;
import com.diagbot.facade.CheckRecordFacade;
import com.diagbot.util.StringUtil;
import com.diagbot.util.SysUserUtils;
import com.diagbot.vo.GetCheckRecordPageVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;


import org.springframework.web.bind.annotation.RestController;


/**
 * <p>
 * 核查记录表 前端控制器
 * </p>
 *
 * @author songxl
 * @since 2022-05-18
 */
@RestController
@RequestMapping("/checkRecord")
@Api(value = "病历核查API", tags = { "病历核查API" })
public class CheckRecordController {

    @Autowired
    private CheckRecordFacade checkRecordFacade;

    @ApiOperation(value = "获取病历核查分页接口[by:zhanghang]",
            notes = "获取病历核查分页接口")
    @PostMapping("/getCheckRecordPage")
    @SysLogger("getCheckRecordPage")
    public RespDTO<IPage<GetCheckRecordPageDTO>> getCheckRecordPage(@RequestBody GetCheckRecordPageVO getCheckRecordPagevo) {
     /*   String userId = SysUserUtils.getCurrentPrincipleID();
        if(StringUtil.isNotEmpty(userId)) {
            getCheckRecordPagevo.setUserId(userId);
        }*/
        return RespDTO.onSuc(checkRecordFacade.getCheckRecordPage(getCheckRecordPagevo));
    }

}
